/* Copyright (C) 1994, Digital Equipment Corporation           */
/* All rights reserved.                                        */
/* See the file COPYRIGHT for a full description.              */
/*                                                             */
/* Last modified on Mon Nov  7 13:23:14 PST 1994 by kalsow     */
/*      modified on Tue Jan 19 15:20:48 PST 1993 by burrows    */

/* This file implements the coroutine transfer: RTThread.Transfer */

#include <sys/types.h>
#include <ucontext.h>

void RTThread__Transfer (ucontext_t *from, ucontext_t *to)
{
	if (getcontext(from) == 0) {
		to->uc_mcontext.mc_rax = 1;	/* emulate longjmp return */
		setcontext(to);			/* fire it up */
	}
}


/* global thread ID used by 'etp' */
long ThreadF__myId = 1;

/* low-level runtime lock */
long RT0u__inCritical = 0;

/* global, per-thread linked list of exception handlers */
void* RTThread__handlerStack = 0;

